/**
 *
 * This file is part of Tulip (www.tulip-software.org)
 *
 * Authors: David Auber and the Tulip development Team
 * from LaBRI, University of Bordeaux 1 and Inria Bordeaux - Sud Ouest
 *
 * Tulip is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * Tulip is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 */
#include <QtGui/qapplication.h>
#include <QtGui/QToolBar>
#include <tulip/Graph.h>
#include <tulip/Interactor.h>
#include <tulip/TlpTools.h>
#include <tulip/TlpQtTools.h>
#include <tulip/NodeLinkDiagramComponent.h>
#include <tulip/PluginLoaderTxt.h>
#include <tulip/InteractorManager.h>

#include "mainwindow.h"

using namespace std;
using namespace tlp;

int main(int argc,char ** argv ) {

  QApplication mainApp(argc,argv);

  if (argc<2) {
    cerr << "usage :" << endl;
    cerr << "\t " << argv[0] << " <filename>" << endl;
    cerr << "file must be in tlp format" << endl;
    exit(1);
  }


  tlp::initTulipLib();
  PluginLoaderTxt txtPlug;
  tlp::loadPlugins(&txtPlug);   // library side plugins
  InteractorManager::getInst().loadPlugins(&txtPlug);
  GlyphManager::getInst().loadPlugins(&txtPlug);   // software side plugins, i.e. glyphs

  QtViewerMainWindow mainWin(argv[1]);
  mainWin.show();

  return mainApp.exec();
}
