/**
 *
 * This file is part of Tulip (www.tulip-software.org)
 *
 * Authors: David Auber and the Tulip development Team
 * from LaBRI, University of Bordeaux 1 and Inria Bordeaux - Sud Ouest
 *
 * Tulip is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * Tulip is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 */
#ifndef Tulip_PROXYCONFIGURATIONDIALOG_H
#define Tulip_PROXYCONFIGURATIONDIALOG_H

#include <tulip/tulipconf.h>

#include <QtNetwork/QNetworkProxy>

#include "ProxyConfigurationDialogData.h"

namespace tlp {

class ProxyConfigurationDialog : public QDialog, public Ui::ProxyConfigurationDialogData {

  Q_OBJECT

public:

  ProxyConfigurationDialog(QWidget* parent);
  void saveProxy();

protected slots:
  void proxyStateChange(int);
  void useUsernamePasswordStateChange(int);


};

}

#endif // Tulip_PROXYCONFIGURATIONDIALOG_H
